<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta name="generator" content="JsDoc Toolkit" />
		
		<title>JsDoc Reference - Cluster.Process</title>

		<style type="text/css">
			/* default.css */
body
{
	font: 12px "Lucida Grande", Tahoma, Arial, Helvetica, sans-serif;
	width: 800px;
}

.header
{
	clear: both;
	background-color: #ccc;
	padding: 8px;
}

h1
{
	font-size: 150%;
	font-weight: bold;
	padding: 0;
	margin: 1em 0 0 .3em;
}

hr
{
	border: none 0;
	border-top: 1px solid #7F8FB1;
	height: 1px;
}

pre.code
{
	display: block;
	padding: 8px;
	border: 1px dashed #ccc;
}

#index
{
	margin-top: 24px;
	float: left;
	width: 160px;
	position: absolute;
	left: 8px;
	background-color: #F3F3F3;
	padding: 8px;
}

#content
{
	margin-left: 190px;
	width: 600px;
}

.classList
{
	list-style-type: none;
	padding: 0;
	margin: 0 0 0 8px;
	font-family: arial, sans-serif;
	font-size: 1em;
	overflow: auto;
}

.classList li
{
	padding: 0;
	margin: 0 0 8px 0;
}

.summaryTable { width: 100%; }

h1.classTitle
{
	font-size:170%;
	line-height:130%;
}

h2 { font-size: 110%; }
caption, div.sectionTitle
{
	background-color: #7F8FB1;
	color: #fff;
	font-size:130%;
	text-align: left;
	padding: 2px 6px 2px 6px;
	border: 1px #7F8FB1 solid;
}

div.sectionTitle { margin-bottom: 8px; }
.summaryTable thead { display: none; }

.summaryTable td
{
	vertical-align: top;
	padding: 4px;
	border-bottom: 1px #7F8FB1 solid;
	border-right: 1px #7F8FB1 solid;
}

/*col#summaryAttributes {}*/
.summaryTable td.attributes
{
	border-left: 1px #7F8FB1 solid;
	width: 140px;
	text-align: right;
}

td.attributes, .fixedFont
{
	line-height: 15px;
	color: #002EBE;
	font-family: "Courier New",Courier,monospace;
	font-size: 13px;
}

.summaryTable td.nameDescription
{
	text-align: left;
	font-size: 13px;
	line-height: 15px;
}

.summaryTable td.nameDescription, .description
{
	line-height: 15px;
	padding: 4px;
	padding-left: 4px;
}

.summaryTable { margin-bottom: 8px; }

ul.inheritsList
{
	list-style: square;
	margin-left: 20px;
	padding-left: 0;
}

.detailList {
	margin-left: 20px; 
	line-height: 15px;
}
.detailList dt { margin-left: 20px; }

.detailList .heading
{
	font-weight: bold;
	padding-bottom: 6px;
	margin-left: 0;
}

.light, td.attributes, .light a:link, .light a:visited
{
	color: #777;
	font-style: italic;
}

.fineprint
{
	text-align: right;
	font-size: 10px;
}
		</style>
	</head>

	<body>
<!-- ============================== header ================================= -->	
		<!-- begin static/header.html -->
		<div id="header">
</div>
		<!-- end static/header.html -->

<!-- ============================== classes index ============================ -->
		<div id="index">
			<!-- begin publish.classesIndex -->
			<div align="center"><a href="../index.html">Class Index</a>
| <a href="../files.html">File Index</a></div>
<hr />
<h2>Classes</h2>
<ul class="classList">
	
	<li><i><a href="../symbols/_global_.html">_global_</a></i></li>
	
	<li><a href="../symbols/Cluster.html">Cluster</a></li>
	
	<li><a href="../symbols/Cluster.Node.html">Cluster.Node</a></li>
	
	<li><a href="../symbols/Cluster.Position.html">Cluster.Position</a></li>
	
	<li><a href="../symbols/Cluster.Process.html">Cluster.Process</a></li>
	
</ul>
<hr />
			<!-- end publish.classesIndex -->
		</div>
		
		<div id="content">
<!-- ============================== class title ============================ -->
			<h1 class="classTitle">
				
				Class Cluster.Process
			</h1>

<!-- ============================== class summary ========================== -->			
			<p class="description">
				
				
			
				Process class that add a new process in the scene
				
				
					<br /><i>Defined in: </i> <a href="../symbols/src/_Users_julien_Sites_glge_js_cluster.js.html">cluster.js</a>.
				
			</p>

<!-- ============================== constructor summary ==================== -->			
			
			<table class="summaryTable" cellspacing="0" summary="A summary of the constructor documented in the class Cluster.Process.">
				<caption>Class Summary</caption>
				<thead>
					<tr>
						<th scope="col">Constructor Attributes</th>
						<th scope="col">Constructor Name and Description</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="attributes">&nbsp;</td>
						<td class="nameDescription" >
							<div class="fixedFont">
								<b><a href="../symbols/Cluster.Process.html#constructor">Cluster.Process</a></b>(id)
							</div>
							<div class="description"></div>
						</td>
					</tr>
				</tbody>
			</table>
			

<!-- ============================== properties summary ===================== -->
			
				
				
				<table class="summaryTable" cellspacing="0" summary="A summary of the fields documented in the class Cluster.Process.">
					<caption>Field Summary</caption>
					<thead>
						<tr>
							<th scope="col">Field Attributes</th>
							<th scope="col">Field Name and Description</th>
						</tr>
					</thead>
					<tbody>
					
						<tr>
							<td class="attributes">&nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								<b><a href="../symbols/Cluster.Process.html#CPUconsumption">CPUconsumption</a></b>
								</div>
								<div class="description">The CPU consumption of the process (between 0 and 1), it will be displayed
as close to the node if the CPU consumption is high, and on the processRadius
if the consumption is low</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								<b><a href="../symbols/Cluster.Process.html#host">host</a></b>
								</div>
								<div class="description">Host on which the process is running</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								<b><a href="../symbols/Cluster.Process.html#id">id</a></b>
								</div>
								<div class="description">Identifier of the process</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								<b><a href="../symbols/Cluster.Process.html#position">position</a></b>
								</div>
								<div class="description">A position object that manage the position of the drawable</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								<b><a href="../symbols/Cluster.Process.html#process">process</a></b>
								</div>
								<div class="description">Drawable that will be displayed in the scene</div>
							</td>
						</tr>
					
					</tbody>
				</table>
				
				
				
			

<!-- ============================== methods summary ======================== -->
			
				
				
				<table class="summaryTable" cellspacing="0" summary="A summary of the methods documented in the class Cluster.Process.">
					<caption>Method Summary</caption>
					<thead>
						<tr>
							<th scope="col">Method Attributes</th>
							<th scope="col">Method Name and Description</th>
						</tr>
					</thead>
					<tbody>
					
						<tr>
							<td class="attributes">&nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont"><b><a href="../symbols/Cluster.Process.html#migrateTo">migrateTo</a></b>(node)
								</div>
								<div class="description">Function to migrate a process from one node to another</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont"><b><a href="../symbols/Cluster.Process.html#setPosition">setPosition</a></b>(x, y, z)
								</div>
								<div class="description">function to set the new position of the drawable</div>
							</td>
						</tr>
					
					</tbody>
				</table>
				
				
				
			
<!-- ============================== events summary ======================== -->
			

<!-- ============================== constructor details ==================== -->		
			
			<div class="details"><a name="constructor"> </a>
				<div class="sectionTitle">
					Class Detail
				</div>
				
				<div class="fixedFont">
						<b>Cluster.Process</b>(id)
				</div>
				
				<div class="description">
					
					
				</div>
				
				
				
				
					
						<dl class="detailList">
						<dt class="heading">Parameters:</dt>
						
							<dt>
								<span class="light fixedFont">{String}</span>  <b>id</b>
								
							</dt>
								<dd>Identifier of the process</dd>
						
						</dl>
					
					
					
					
					
					
					

			</div>
			

<!-- ============================== field details ========================== -->		
			
				<div class="sectionTitle">
					Field Detail
				</div>
				
					<a name="CPUconsumption"> </a>
					<div class="fixedFont">
					
					
					<b>CPUconsumption</b>
					
					</div>
					<div class="description">
						The CPU consumption of the process (between 0 and 1), it will be displayed
as close to the node if the CPU consumption is high, and on the processRadius
if the consumption is low
						
						
					</div>
					
					

						
						
						
						

					<hr />
				
					<a name="host"> </a>
					<div class="fixedFont">
					
					
					<b>host</b>
					
					</div>
					<div class="description">
						Host on which the process is running
						
						
					</div>
					
					

						
						
						
						

					<hr />
				
					<a name="id"> </a>
					<div class="fixedFont">
					
					
					<b>id</b>
					
					</div>
					<div class="description">
						Identifier of the process
						
						
					</div>
					
					

						
						
						
						

					<hr />
				
					<a name="position"> </a>
					<div class="fixedFont">
					
					
					<b>position</b>
					
					</div>
					<div class="description">
						A position object that manage the position of the drawable
						
						
					</div>
					
					

						
						
						
						

					<hr />
				
					<a name="process"> </a>
					<div class="fixedFont">
					
					
					<b>process</b>
					
					</div>
					<div class="description">
						Drawable that will be displayed in the scene
						
						
					</div>
					
					

						
						
						
						

					
				
			

<!-- ============================== method details ========================= -->		
			
				<div class="sectionTitle">
					Method Detail
				</div>
				
					<a name="migrateTo"> </a>
					<div class="fixedFont">
					
					
					<b>migrateTo</b>(node)
					
					</div>
					<div class="description">
						Function to migrate a process from one node to another
						
						
					</div>
					
					
					
						
							<dl class="detailList">
							<dt class="heading">Parameters:</dt>
							
								<dt>
									<span class="light fixedFont">{<a href="../symbols/Cluster.Node.html">Cluster.Node</a>}</span> <b>node</b>
									
								</dt>
								<dd>The node on which the process will execute</dd>
							
							</dl>
						
						
						
						
						
						
						

					<hr />
				
					<a name="setPosition"> </a>
					<div class="fixedFont">
					
					
					<b>setPosition</b>(x, y, z)
					
					</div>
					<div class="description">
						function to set the new position of the drawable
						
						
					</div>
					
					
					
						
							<dl class="detailList">
							<dt class="heading">Parameters:</dt>
							
								<dt>
									<span class="light fixedFont">{Integer}</span> <b>x</b>
									
								</dt>
								<dd>The x components of the new position</dd>
							
								<dt>
									<span class="light fixedFont">{Integer}</span> <b>y</b>
									
								</dt>
								<dd>The y components of the new position</dd>
							
								<dt>
									<span class="light fixedFont">{Integer}</span> <b>z</b>
									
								</dt>
								<dd>The z components of the new position</dd>
							
							</dl>
						
						
						
						
						
						
						

					
				
			
			
<!-- ============================== event details ========================= -->		
			
			
			<hr />
		</div>

		
<!-- ============================== footer ================================= -->
		<div class="fineprint" style="clear:both">
			
			Documentation generated by <a href="http://code.google.com/p/jsdoc-toolkit/" target="_blank">JsDoc Toolkit</a> 2.3.2 on Tue Mar 23 2010 15:59:07 GMT+0100 (CET)
		</div>
	</body>
</html>
